' This class is "generated" and will be overwritten.
' Your customizations should be made in PersonalIdRecord.vb

Imports System.Data.SqlTypes
Imports BaseClasses
Imports BaseClasses.Data
Imports BaseClasses.Data.SqlProvider

Namespace Persons.Business

''' <summary>
''' The generated superclass for the <see cref="PersonalIdRecord"></see> class.
''' </summary>
''' <remarks>
''' This class is not intended to be instantiated directly.  To obtain an instance of this class, 
''' use the methods of the <see cref="PersonalIdTable"></see> class.
''' </remarks>
''' <seealso cref="PersonalIdTable"></seealso>
''' <seealso cref="PersonalIdRecord"></seealso>

<Serializable()> Public Class BasePersonalIdRecord
	Inherits PrimaryKeyRecord
	Implements IUserIdentityRecord


	Public Shared Shadows ReadOnly TableUtils As PersonalIdTable = PersonalIdTable.Instance

	' Constructors
 
	Protected Sub New()
		MyBase.New(TableUtils)
	End Sub

	Protected Sub New(ByVal record As PrimaryKeyRecord)
		MyBase.New(record, TableUtils)
	End Sub
	
	'Evaluates Initialize when->Inserting record formulas specified at the data access layer
    Public Overridable Sub PersonalIdRecord_InsertingRecord(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles Me.InsertingRecord
        'Apply Initialize->Inserting record formula only if validation is successful.
        	        Dim PersonalIdRec As PersonalIdRecord = CType(sender,PersonalIdRecord)
        Validate_Inserting()
        If Not PersonalIdRec Is Nothing AndAlso Not PersonalIdRec.IsReadOnly Then
                End If
    End Sub

	'Evaluates Initialize when->Updating record formulas specified at the data access layer
    Public Overridable Sub PersonalIdRecord_UpdatingRecord(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles Me.UpdatingRecord
        'Apply Initialize->Updating record formula only if validation is successful.
        	        Dim PersonalIdRec As PersonalIdRecord = CType(sender,PersonalIdRecord)
        Validate_Updating()
        If Not PersonalIdRec Is Nothing AndAlso Not PersonalIdRec.IsReadOnly Then
                End If
    End Sub
    
    'Evaluates Initialize when->Reading record formulas specified at the data access layer
    Public Overridable Sub PersonalIdRecord_ReadRecord(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.ReadRecord
        'Apply Initialize->Reading record formula only if validation is successful.
        	        Dim PersonalIdRec As PersonalIdRecord = CType(sender,PersonalIdRecord)
        If Not PersonalIdRec Is Nothing AndAlso Not PersonalIdRec.IsReadOnly Then
                End If
    End Sub
    
   'Evaluates Validate when->Inserting formulas specified at the data access layer
   Public Overridable Sub Validate_Inserting ()
		Dim fullValidationMessage As String = ""
		Dim validationMessage As String = ""

		dim formula as String = ""


		If validationMessage <> "" AndAlso validationMessage.ToLower() <> "true" Then
			fullValidationMessage &= validationMessage & vbCrLf
		End If

		If fullValidationMessage <> "" Then
			Throw New Exception(fullValidationMessage)
		End If 
	End Sub
	
	'Evaluates Validate when->Updating formulas specified at the data access layer
   Public Overridable Sub Validate_Updating ()
		Dim fullValidationMessage As String = ""
		Dim validationMessage As String = ""

		dim formula as String = ""


		If validationMessage <> "" AndAlso validationMessage.ToLower() <> "true" Then
			fullValidationMessage &= validationMessage & vbCrLf
		End If

		If fullValidationMessage <> "" Then
			Throw New Exception(fullValidationMessage)
		End If 
	End Sub
 
	Public Overridable Function EvaluateFormula(ByVal formula As String, Optional ByVal dataSourceForEvaluate As BaseClasses.Data.BaseRecord = Nothing, Optional ByVal format As String = Nothing) As String

		Dim e As Data.BaseFormulaEvaluator = New Data.BaseFormulaEvaluator()

            ' All variables referred to in the formula are expected to be
            ' properties of the DataSource.  For example, referring to
            ' UnitPrice as a variable will refer to DataSource.UnitPrice
            e.DataSource = dataSourceForEvaluate

            Dim resultObj As Object = e.Evaluate(formula)
            If resultObj Is Nothing Then
                Return ""
            End If
        	Return resultObj.ToString()
	End Function

#Region "IUserRecord Members"

	' Get the user's unique identifier
	Public Function GetUserId() As String Implements IUserRecord.GetUserId
		Return CType(Me, IRecord).GetString(CType(Me.TableAccess, IUserTable).UserIdColumn)
	End Function

#End Region


#Region "IUserIdentityRecord Members"

	' Get the user's name
	Public Function GetUserName() As String Implements IUserIdentityRecord.GetUserName
		Return CType(Me, IRecord).getString(CType(Me.TableAccess, IUserIdentityTable).UserNameColumn)
	End Function

	' Get the user's password
	Public Function GetUserPassword() As String Implements IUserIdentityRecord.GetUserPassword
		Return CType(Me, IRecord).getString(CType(Me.TableAccess, IUserIdentityTable).UserPasswordColumn)
	End Function

	' Get the user's email address
	Public Function GetUserEmail() As String Implements IUserIdentityRecord.GetUserEmail
		Return CType(Me, IRecord).getString(CType(Me.TableAccess, IUserIdentityTable).UserEmailColumn)
	End Function

	' Get a list of roles to which the user belongs
	Public Function GetUserRoles() As String() Implements IUserIdentityRecord.GetUserRoles
		Dim roles() As String
		If (TypeOf (Me) Is IUserRoleRecord) Then
			roles = New String(0) {}
			roles(0) = CType(Me, IUserRoleRecord).GetUserRole()
		Else
			Dim roleTable As IUserRoleTable = CType(Me.TableAccess, IUserIdentityTable).GetUserRoleTable()
			If (IsNothing(roleTable)) Then
				Return Nothing
#If False Then
			'Note: Not compiled for performance
			ElseIf (CType(roleTable, Object).Equals(Me.TableAccess)) Then
				'This should never occur because it should be handled above instead
#End If
			Else
				Dim filter As ColumnValueFilter = BaseFilter.CreateUserIdFilter(roleTable, Me.GetUserId())
				Dim order As New OrderBy(False, False)
				Dim join As BaseClasses.Data.BaseFilter = Nothing
				Dim roleRecords As ArrayList = roleTable.GetRecordList(join, filter, Nothing, order, BaseTable.MIN_PAGE_NUMBER, BaseTable.MAX_BATCH_SIZE)
				Dim roleRecord As IUserRoleRecord
				Dim roleList As New ArrayList(roleRecords.Count)
				For Each roleRecord In roleRecords
					roleList.Add(roleRecord.GetUserRole())
				Next
				roles = CType(roleList.ToArray(GetType(String)), String())
			End If
		End If
		Return roles
	End Function

#End Region




#Region "Convenience methods to get/set values of fields"

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PersonalId field.
	''' </summary>
	Public Function GetPersonalIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.PersonalIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PersonalId field.
	''' </summary>
	Public Function GetPersonalIdFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PersonalIdColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PersonalId field.
	''' </summary>
	Public Sub SetPersonalIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PersonalIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PersonalId field.
	''' </summary>
	Public Sub SetPersonalIdFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PersonalIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.SectionId field.
	''' </summary>
	Public Function GetSectionIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.SectionIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.SectionId field.
	''' </summary>
	Public Function GetSectionIdFieldValue() As Int16
		Return CType(Me.GetValue(TableUtils.SectionIdColumn).ToInt16(), Int16)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.SectionId field.
	''' </summary>
	Public Sub SetSectionIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.SectionIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.SectionId field.
	''' </summary>
	Public Sub SetSectionIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.SectionIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.SectionId field.
	''' </summary>
	Public Sub SetSectionIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SectionIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.SectionId field.
	''' </summary>
	Public Sub SetSectionIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SectionIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.SectionId field.
	''' </summary>
	Public Sub SetSectionIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SectionIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.MId field.
	''' </summary>
	Public Function GetMIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.MIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.MId field.
	''' </summary>
	Public Function GetMIdFieldValue() As String
		Return CType(Me.GetValue(TableUtils.MIdColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.MId field.
	''' </summary>
	Public Sub SetMIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.MIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.MId field.
	''' </summary>
	Public Sub SetMIdFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.MIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.TId field.
	''' </summary>
	Public Function GetTIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.TIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.TId field.
	''' </summary>
	Public Function GetTIdFieldValue() As String
		Return CType(Me.GetValue(TableUtils.TIdColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.TId field.
	''' </summary>
	Public Sub SetTIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.TIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.TId field.
	''' </summary>
	Public Sub SetTIdFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.TIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.ArmyId field.
	''' </summary>
	Public Function GetArmyIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.ArmyIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.ArmyId field.
	''' </summary>
	Public Function GetArmyIdFieldValue() As Byte
		Return CType(Me.GetValue(TableUtils.ArmyIdColumn).ToByte(), Byte)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmyId field.
	''' </summary>
	Public Sub SetArmyIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ArmyIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmyId field.
	''' </summary>
	Public Sub SetArmyIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.ArmyIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmyId field.
	''' </summary>
	Public Sub SetArmyIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ArmyIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmyId field.
	''' </summary>
	Public Sub SetArmyIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ArmyIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmyId field.
	''' </summary>
	Public Sub SetArmyIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ArmyIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.RankId field.
	''' </summary>
	Public Function GetRankIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.RankIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.RankId field.
	''' </summary>
	Public Function GetRankIdFieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.RankIdColumn).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PersonalName field.
	''' </summary>
	Public Function GetPersonalNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.PersonalNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PersonalName field.
	''' </summary>
	Public Function GetPersonalNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PersonalNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PersonalName field.
	''' </summary>
	Public Sub SetPersonalNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PersonalNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PersonalName field.
	''' </summary>
	Public Sub SetPersonalNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PersonalNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PersonalLastName field.
	''' </summary>
	Public Function GetPersonalLastNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.PersonalLastNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PersonalLastName field.
	''' </summary>
	Public Function GetPersonalLastNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PersonalLastNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PersonalLastName field.
	''' </summary>
	Public Sub SetPersonalLastNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PersonalLastNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PersonalLastName field.
	''' </summary>
	Public Sub SetPersonalLastNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PersonalLastNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Sex field.
	''' </summary>
	Public Function GetSexValue() As ColumnValue
		Return Me.GetValue(TableUtils.SexColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Sex field.
	''' </summary>
	Public Function GetSexFieldValue() As Int16
		Return CType(Me.GetValue(TableUtils.SexColumn).ToInt16(), Int16)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Sex field.
	''' </summary>
	Public Sub SetSexFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.SexColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Sex field.
	''' </summary>
	Public Sub SetSexFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.SexColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Sex field.
	''' </summary>
	Public Sub SetSexFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SexColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Sex field.
	''' </summary>
	Public Sub SetSexFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SexColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Sex field.
	''' </summary>
	Public Sub SetSexFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SexColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.BirthDate field.
	''' </summary>
	Public Function GetBirthDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.BirthDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.BirthDate field.
	''' </summary>
	Public Function GetBirthDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.BirthDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BirthDate field.
	''' </summary>
	Public Sub SetBirthDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.BirthDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BirthDate field.
	''' </summary>
	Public Sub SetBirthDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.BirthDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BirthDate field.
	''' </summary>
	Public Sub SetBirthDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.BirthDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PlaceOfBirth field.
	''' </summary>
	Public Function GetPlaceOfBirthValue() As ColumnValue
		Return Me.GetValue(TableUtils.PlaceOfBirthColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PlaceOfBirth field.
	''' </summary>
	Public Function GetPlaceOfBirthFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PlaceOfBirthColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PlaceOfBirth field.
	''' </summary>
	Public Sub SetPlaceOfBirthFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PlaceOfBirthColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PlaceOfBirth field.
	''' </summary>
	Public Sub SetPlaceOfBirthFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PlaceOfBirthColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.BAmphur field.
	''' </summary>
	Public Function GetBAmphurValue() As ColumnValue
		Return Me.GetValue(TableUtils.BAmphurColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.BAmphur field.
	''' </summary>
	Public Function GetBAmphurFieldValue() As String
		Return CType(Me.GetValue(TableUtils.BAmphurColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BAmphur field.
	''' </summary>
	Public Sub SetBAmphurFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.BAmphurColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BAmphur field.
	''' </summary>
	Public Sub SetBAmphurFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.BAmphurColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.BProvince field.
	''' </summary>
	Public Function GetBProvinceValue() As ColumnValue
		Return Me.GetValue(TableUtils.BProvinceColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.BProvince field.
	''' </summary>
	Public Function GetBProvinceFieldValue() As String
		Return CType(Me.GetValue(TableUtils.BProvinceColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BProvince field.
	''' </summary>
	Public Sub SetBProvinceFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.BProvinceColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BProvince field.
	''' </summary>
	Public Sub SetBProvinceFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.BProvinceColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.BloodId field.
	''' </summary>
	Public Function GetBloodIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.BloodIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.BloodId field.
	''' </summary>
	Public Function GetBloodIdFieldValue() As Byte
		Return CType(Me.GetValue(TableUtils.BloodIdColumn).ToByte(), Byte)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BloodId field.
	''' </summary>
	Public Sub SetBloodIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.BloodIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BloodId field.
	''' </summary>
	Public Sub SetBloodIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.BloodIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BloodId field.
	''' </summary>
	Public Sub SetBloodIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.BloodIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BloodId field.
	''' </summary>
	Public Sub SetBloodIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.BloodIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.BloodId field.
	''' </summary>
	Public Sub SetBloodIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.BloodIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Origin field.
	''' </summary>
	Public Function GetOriginValue() As ColumnValue
		Return Me.GetValue(TableUtils.OriginColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Origin field.
	''' </summary>
	Public Function GetOriginFieldValue() As String
		Return CType(Me.GetValue(TableUtils.OriginColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Origin field.
	''' </summary>
	Public Sub SetOriginFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.OriginColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Origin field.
	''' </summary>
	Public Sub SetOriginFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.OriginColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Nationality field.
	''' </summary>
	Public Function GetNationalityValue() As ColumnValue
		Return Me.GetValue(TableUtils.NationalityColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Nationality field.
	''' </summary>
	Public Function GetNationalityFieldValue() As String
		Return CType(Me.GetValue(TableUtils.NationalityColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Nationality field.
	''' </summary>
	Public Sub SetNationalityFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.NationalityColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Nationality field.
	''' </summary>
	Public Sub SetNationalityFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.NationalityColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Religion field.
	''' </summary>
	Public Function GetReligionValue() As ColumnValue
		Return Me.GetValue(TableUtils.ReligionColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Religion field.
	''' </summary>
	Public Function GetReligionFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ReligionColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Religion field.
	''' </summary>
	Public Sub SetReligionFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ReligionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Religion field.
	''' </summary>
	Public Sub SetReligionFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ReligionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.ArmId field.
	''' </summary>
	Public Function GetArmIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.ArmIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.ArmId field.
	''' </summary>
	Public Function GetArmIdFieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.ArmIdColumn).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmId field.
	''' </summary>
	Public Sub SetArmIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ArmIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmId field.
	''' </summary>
	Public Sub SetArmIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.ArmIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmId field.
	''' </summary>
	Public Sub SetArmIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ArmIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmId field.
	''' </summary>
	Public Sub SetArmIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ArmIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmId field.
	''' </summary>
	Public Sub SetArmIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ArmIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.RegDate field.
	''' </summary>
	Public Function GetRegDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.RegDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.RegDate field.
	''' </summary>
	Public Function GetRegDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.RegDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RegDate field.
	''' </summary>
	Public Sub SetRegDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RegDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RegDate field.
	''' </summary>
	Public Sub SetRegDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.RegDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RegDate field.
	''' </summary>
	Public Sub SetRegDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RegDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.RegNo1 field.
	''' </summary>
	Public Function GetRegNo1Value() As ColumnValue
		Return Me.GetValue(TableUtils.RegNo1Column)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.RegNo1 field.
	''' </summary>
	Public Function GetRegNo1FieldValue() As String
		Return CType(Me.GetValue(TableUtils.RegNo1Column).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RegNo1 field.
	''' </summary>
	Public Sub SetRegNo1FieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RegNo1Column)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RegNo1 field.
	''' </summary>
	Public Sub SetRegNo1FieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RegNo1Column)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.RegNo2 field.
	''' </summary>
	Public Function GetRegNo2Value() As ColumnValue
		Return Me.GetValue(TableUtils.RegNo2Column)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.RegNo2 field.
	''' </summary>
	Public Function GetRegNo2FieldValue() As String
		Return CType(Me.GetValue(TableUtils.RegNo2Column).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RegNo2 field.
	''' </summary>
	Public Sub SetRegNo2FieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RegNo2Column)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.RegNo2 field.
	''' </summary>
	Public Sub SetRegNo2FieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RegNo2Column)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.OfficerDate field.
	''' </summary>
	Public Function GetOfficerDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.OfficerDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.OfficerDate field.
	''' </summary>
	Public Function GetOfficerDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.OfficerDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.OfficerDate field.
	''' </summary>
	Public Sub SetOfficerDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.OfficerDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.OfficerDate field.
	''' </summary>
	Public Sub SetOfficerDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.OfficerDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.OfficerDate field.
	''' </summary>
	Public Sub SetOfficerDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.OfficerDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Born field.
	''' </summary>
	Public Function GetBornValue() As ColumnValue
		Return Me.GetValue(TableUtils.BornColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Born field.
	''' </summary>
	Public Function GetBornFieldValue() As String
		Return CType(Me.GetValue(TableUtils.BornColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Born field.
	''' </summary>
	Public Sub SetBornFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.BornColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Born field.
	''' </summary>
	Public Sub SetBornFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.BornColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.CremateMemId field.
	''' </summary>
	Public Function GetCremateMemIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.CremateMemIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.CremateMemId field.
	''' </summary>
	Public Function GetCremateMemIdFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CremateMemIdColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.CremateMemId field.
	''' </summary>
	Public Sub SetCremateMemIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CremateMemIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.CremateMemId field.
	''' </summary>
	Public Sub SetCremateMemIdFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CremateMemIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.ArmyWelfareMemId field.
	''' </summary>
	Public Function GetArmyWelfareMemIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.ArmyWelfareMemIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.ArmyWelfareMemId field.
	''' </summary>
	Public Function GetArmyWelfareMemIdFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ArmyWelfareMemIdColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmyWelfareMemId field.
	''' </summary>
	Public Sub SetArmyWelfareMemIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ArmyWelfareMemIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.ArmyWelfareMemId field.
	''' </summary>
	Public Sub SetArmyWelfareMemIdFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ArmyWelfareMemIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.StatusId field.
	''' </summary>
	Public Function GetStatusIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.StatusIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.StatusId field.
	''' </summary>
	Public Function GetStatusIdFieldValue() As Byte
		Return CType(Me.GetValue(TableUtils.StatusIdColumn).ToByte(), Byte)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.StatusId field.
	''' </summary>
	Public Sub SetStatusIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.StatusIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.StatusId field.
	''' </summary>
	Public Sub SetStatusIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.StatusIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.StatusId field.
	''' </summary>
	Public Sub SetStatusIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.StatusIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.StatusId field.
	''' </summary>
	Public Sub SetStatusIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.StatusIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.StatusId field.
	''' </summary>
	Public Sub SetStatusIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.StatusIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Commission field.
	''' </summary>
	Public Function GetCommissionValue() As ColumnValue
		Return Me.GetValue(TableUtils.CommissionColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Commission field.
	''' </summary>
	Public Function GetCommissionFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CommissionColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Commission field.
	''' </summary>
	Public Sub SetCommissionFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CommissionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Commission field.
	''' </summary>
	Public Sub SetCommissionFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CommissionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.DeptId field.
	''' </summary>
	Public Function GetDeptIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.DeptIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.DeptId field.
	''' </summary>
	Public Function GetDeptIdFieldValue() As Int16
		Return CType(Me.GetValue(TableUtils.DeptIdColumn).ToInt16(), Int16)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.DeptId field.
	''' </summary>
	Public Sub SetDeptIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.DeptIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.DeptId field.
	''' </summary>
	Public Sub SetDeptIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.DeptIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.DeptId field.
	''' </summary>
	Public Sub SetDeptIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DeptIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.DeptId field.
	''' </summary>
	Public Sub SetDeptIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DeptIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.DeptId field.
	''' </summary>
	Public Sub SetDeptIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DeptIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Addr field.
	''' </summary>
	Public Function GetAddrValue() As ColumnValue
		Return Me.GetValue(TableUtils.AddrColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Addr field.
	''' </summary>
	Public Function GetAddrFieldValue() As String
		Return CType(Me.GetValue(TableUtils.AddrColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Addr field.
	''' </summary>
	Public Sub SetAddrFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.AddrColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Addr field.
	''' </summary>
	Public Sub SetAddrFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.AddrColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Amphur field.
	''' </summary>
	Public Function GetAmphurValue() As ColumnValue
		Return Me.GetValue(TableUtils.AmphurColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Amphur field.
	''' </summary>
	Public Function GetAmphurFieldValue() As String
		Return CType(Me.GetValue(TableUtils.AmphurColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Amphur field.
	''' </summary>
	Public Sub SetAmphurFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.AmphurColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Amphur field.
	''' </summary>
	Public Sub SetAmphurFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.AmphurColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Province field.
	''' </summary>
	Public Function GetProvinceValue() As ColumnValue
		Return Me.GetValue(TableUtils.ProvinceColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Province field.
	''' </summary>
	Public Function GetProvinceFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ProvinceColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Province field.
	''' </summary>
	Public Sub SetProvinceFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ProvinceColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Province field.
	''' </summary>
	Public Sub SetProvinceFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ProvinceColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PostCode field.
	''' </summary>
	Public Function GetPostCodeValue() As ColumnValue
		Return Me.GetValue(TableUtils.PostCodeColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PostCode field.
	''' </summary>
	Public Function GetPostCodeFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PostCodeColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PostCode field.
	''' </summary>
	Public Sub SetPostCodeFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PostCodeColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PostCode field.
	''' </summary>
	Public Sub SetPostCodeFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PostCodeColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Phone field.
	''' </summary>
	Public Function GetPhoneValue() As ColumnValue
		Return Me.GetValue(TableUtils.PhoneColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.Phone field.
	''' </summary>
	Public Function GetPhoneFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PhoneColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Phone field.
	''' </summary>
	Public Sub SetPhoneFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PhoneColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.Phone field.
	''' </summary>
	Public Sub SetPhoneFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PhoneColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PhoneExt field.
	''' </summary>
	Public Function GetPhoneExtValue() As ColumnValue
		Return Me.GetValue(TableUtils.PhoneExtColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PhoneExt field.
	''' </summary>
	Public Function GetPhoneExtFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PhoneExtColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PhoneExt field.
	''' </summary>
	Public Sub SetPhoneExtFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PhoneExtColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PhoneExt field.
	''' </summary>
	Public Sub SetPhoneExtFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PhoneExtColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.MobilePhone field.
	''' </summary>
	Public Function GetMobilePhoneValue() As ColumnValue
		Return Me.GetValue(TableUtils.MobilePhoneColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.MobilePhone field.
	''' </summary>
	Public Function GetMobilePhoneFieldValue() As String
		Return CType(Me.GetValue(TableUtils.MobilePhoneColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.MobilePhone field.
	''' </summary>
	Public Sub SetMobilePhoneFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.MobilePhoneColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.MobilePhone field.
	''' </summary>
	Public Sub SetMobilePhoneFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.MobilePhoneColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.picture field.
	''' </summary>
	Public Function GetpictureValue() As ColumnValue
		Return Me.GetValue(TableUtils.pictureColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.picture field.
	''' </summary>
	Public Function GetpictureFieldValue() As Byte()
		Return CType(Me.GetValue(TableUtils.pictureColumn).ToBinary(), Byte())
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.picture field.
	''' </summary>
	Public Sub SetpictureFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.pictureColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.picture field.
	''' </summary>
	Public Sub SetpictureFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.pictureColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.picture field.
	''' </summary>
	Public Sub SetpictureFieldValue(ByVal val As Byte ())
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.pictureColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PictureName field.
	''' </summary>
	Public Function GetPictureNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.PictureNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.PictureName field.
	''' </summary>
	Public Function GetPictureNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PictureNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PictureName field.
	''' </summary>
	Public Sub SetPictureNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PictureNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.PictureName field.
	''' </summary>
	Public Sub SetPictureNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PictureNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.DateRank field.
	''' </summary>
	Public Function GetDateRankValue() As ColumnValue
		Return Me.GetValue(TableUtils.DateRankColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.DateRank field.
	''' </summary>
	Public Function GetDateRankFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.DateRankColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.DateRank field.
	''' </summary>
	Public Sub SetDateRankFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.DateRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.DateRank field.
	''' </summary>
	Public Sub SetDateRankFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.DateRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.DateRank field.
	''' </summary>
	Public Sub SetDateRankFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DateRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.DatePrevRank field.
	''' </summary>
	Public Function GetDatePrevRankValue() As ColumnValue
		Return Me.GetValue(TableUtils.DatePrevRankColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalId_.DatePrevRank field.
	''' </summary>
	Public Function GetDatePrevRankFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.DatePrevRankColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.DatePrevRank field.
	''' </summary>
	Public Sub SetDatePrevRankFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.DatePrevRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.DatePrevRank field.
	''' </summary>
	Public Sub SetDatePrevRankFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.DatePrevRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalId_.DatePrevRank field.
	''' </summary>
	Public Sub SetDatePrevRankFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DatePrevRankColumn)
	End Sub



#End Region

#Region "Convenience methods to get field names"

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.PersonalId field.
	''' </summary>
	Public Property PersonalId() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PersonalIdColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PersonalIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PersonalIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PersonalIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PersonalIdDefault() As String
        Get
            Return TableUtils.PersonalIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.SectionId field.
	''' </summary>
	Public Property SectionId() As Int16
		Get 
			Return CType(Me.GetValue(TableUtils.SectionIdColumn).ToInt16(), Int16)
		End Get
		Set (ByVal val As Int16) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.SectionIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property SectionIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.SectionIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property SectionIdDefault() As String
        Get
            Return TableUtils.SectionIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.MId field.
	''' </summary>
	Public Property MId() As String
		Get 
			Return CType(Me.GetValue(TableUtils.MIdColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.MIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property MIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.MIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property MIdDefault() As String
        Get
            Return TableUtils.MIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.TId field.
	''' </summary>
	Public Property TId() As String
		Get 
			Return CType(Me.GetValue(TableUtils.TIdColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.TIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property TIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.TIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property TIdDefault() As String
        Get
            Return TableUtils.TIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.ArmyId field.
	''' </summary>
	Public Property ArmyId() As Byte
		Get 
			Return CType(Me.GetValue(TableUtils.ArmyIdColumn).ToByte(), Byte)
		End Get
		Set (ByVal val As Byte) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.ArmyIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ArmyIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ArmyIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ArmyIdDefault() As String
        Get
            Return TableUtils.ArmyIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.RankId field.
	''' </summary>
	Public Property RankId() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.RankIdColumn).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.RankIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RankIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RankIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RankIdDefault() As String
        Get
            Return TableUtils.RankIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.PersonalName field.
	''' </summary>
	Public Property PersonalName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PersonalNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PersonalNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PersonalNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PersonalNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PersonalNameDefault() As String
        Get
            Return TableUtils.PersonalNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.PersonalLastName field.
	''' </summary>
	Public Property PersonalLastName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PersonalLastNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PersonalLastNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PersonalLastNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PersonalLastNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PersonalLastNameDefault() As String
        Get
            Return TableUtils.PersonalLastNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.Sex field.
	''' </summary>
	Public Property Sex() As Int16
		Get 
			Return CType(Me.GetValue(TableUtils.SexColumn).ToInt16(), Int16)
		End Get
		Set (ByVal val As Int16) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.SexColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property SexSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.SexColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property SexDefault() As String
        Get
            Return TableUtils.SexColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.BirthDate field.
	''' </summary>
	Public Property BirthDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.BirthDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.BirthDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property BirthDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.BirthDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property BirthDateDefault() As String
        Get
            Return TableUtils.BirthDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.PlaceOfBirth field.
	''' </summary>
	Public Property PlaceOfBirth() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PlaceOfBirthColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PlaceOfBirthColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PlaceOfBirthSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PlaceOfBirthColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PlaceOfBirthDefault() As String
        Get
            Return TableUtils.PlaceOfBirthColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.BAmphur field.
	''' </summary>
	Public Property BAmphur() As String
		Get 
			Return CType(Me.GetValue(TableUtils.BAmphurColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.BAmphurColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property BAmphurSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.BAmphurColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property BAmphurDefault() As String
        Get
            Return TableUtils.BAmphurColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.BProvince field.
	''' </summary>
	Public Property BProvince() As String
		Get 
			Return CType(Me.GetValue(TableUtils.BProvinceColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.BProvinceColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property BProvinceSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.BProvinceColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property BProvinceDefault() As String
        Get
            Return TableUtils.BProvinceColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.BloodId field.
	''' </summary>
	Public Property BloodId() As Byte
		Get 
			Return CType(Me.GetValue(TableUtils.BloodIdColumn).ToByte(), Byte)
		End Get
		Set (ByVal val As Byte) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.BloodIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property BloodIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.BloodIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property BloodIdDefault() As String
        Get
            Return TableUtils.BloodIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.Origin field.
	''' </summary>
	Public Property Origin() As String
		Get 
			Return CType(Me.GetValue(TableUtils.OriginColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.OriginColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property OriginSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.OriginColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property OriginDefault() As String
        Get
            Return TableUtils.OriginColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.Nationality field.
	''' </summary>
	Public Property Nationality() As String
		Get 
			Return CType(Me.GetValue(TableUtils.NationalityColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.NationalityColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property NationalitySpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.NationalityColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property NationalityDefault() As String
        Get
            Return TableUtils.NationalityColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.Religion field.
	''' </summary>
	Public Property Religion() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ReligionColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ReligionColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ReligionSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ReligionColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ReligionDefault() As String
        Get
            Return TableUtils.ReligionColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.ArmId field.
	''' </summary>
	Public Property ArmId() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.ArmIdColumn).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.ArmIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ArmIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ArmIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ArmIdDefault() As String
        Get
            Return TableUtils.ArmIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.RegDate field.
	''' </summary>
	Public Property RegDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.RegDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.RegDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RegDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RegDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RegDateDefault() As String
        Get
            Return TableUtils.RegDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.RegNo1 field.
	''' </summary>
	Public Property RegNo1() As String
		Get 
			Return CType(Me.GetValue(TableUtils.RegNo1Column).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.RegNo1Column)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RegNo1Specified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RegNo1Column)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RegNo1Default() As String
        Get
            Return TableUtils.RegNo1Column.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.RegNo2 field.
	''' </summary>
	Public Property RegNo2() As String
		Get 
			Return CType(Me.GetValue(TableUtils.RegNo2Column).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.RegNo2Column)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RegNo2Specified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RegNo2Column)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RegNo2Default() As String
        Get
            Return TableUtils.RegNo2Column.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.OfficerDate field.
	''' </summary>
	Public Property OfficerDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.OfficerDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.OfficerDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property OfficerDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.OfficerDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property OfficerDateDefault() As String
        Get
            Return TableUtils.OfficerDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.Born field.
	''' </summary>
	Public Property Born() As String
		Get 
			Return CType(Me.GetValue(TableUtils.BornColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.BornColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property BornSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.BornColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property BornDefault() As String
        Get
            Return TableUtils.BornColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.CremateMemId field.
	''' </summary>
	Public Property CremateMemId() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CremateMemIdColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CremateMemIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CremateMemIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CremateMemIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CremateMemIdDefault() As String
        Get
            Return TableUtils.CremateMemIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.ArmyWelfareMemId field.
	''' </summary>
	Public Property ArmyWelfareMemId() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ArmyWelfareMemIdColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ArmyWelfareMemIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ArmyWelfareMemIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ArmyWelfareMemIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ArmyWelfareMemIdDefault() As String
        Get
            Return TableUtils.ArmyWelfareMemIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.StatusId field.
	''' </summary>
	Public Property StatusId() As Byte
		Get 
			Return CType(Me.GetValue(TableUtils.StatusIdColumn).ToByte(), Byte)
		End Get
		Set (ByVal val As Byte) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.StatusIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property StatusIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.StatusIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property StatusIdDefault() As String
        Get
            Return TableUtils.StatusIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.Commission field.
	''' </summary>
	Public Property Commission() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CommissionColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CommissionColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CommissionSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CommissionColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CommissionDefault() As String
        Get
            Return TableUtils.CommissionColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.DeptId field.
	''' </summary>
	Public Property DeptId() As Int16
		Get 
			Return CType(Me.GetValue(TableUtils.DeptIdColumn).ToInt16(), Int16)
		End Get
		Set (ByVal val As Int16) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.DeptIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property DeptIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.DeptIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property DeptIdDefault() As String
        Get
            Return TableUtils.DeptIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.Addr field.
	''' </summary>
	Public Property Addr() As String
		Get 
			Return CType(Me.GetValue(TableUtils.AddrColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.AddrColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property AddrSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.AddrColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property AddrDefault() As String
        Get
            Return TableUtils.AddrColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.Amphur field.
	''' </summary>
	Public Property Amphur() As String
		Get 
			Return CType(Me.GetValue(TableUtils.AmphurColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.AmphurColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property AmphurSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.AmphurColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property AmphurDefault() As String
        Get
            Return TableUtils.AmphurColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.Province field.
	''' </summary>
	Public Property Province() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ProvinceColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ProvinceColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ProvinceSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ProvinceColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ProvinceDefault() As String
        Get
            Return TableUtils.ProvinceColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.PostCode field.
	''' </summary>
	Public Property PostCode() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PostCodeColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PostCodeColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PostCodeSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PostCodeColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PostCodeDefault() As String
        Get
            Return TableUtils.PostCodeColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.Phone field.
	''' </summary>
	Public Property Phone() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PhoneColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PhoneColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PhoneSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PhoneColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PhoneDefault() As String
        Get
            Return TableUtils.PhoneColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.PhoneExt field.
	''' </summary>
	Public Property PhoneExt() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PhoneExtColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PhoneExtColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PhoneExtSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PhoneExtColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PhoneExtDefault() As String
        Get
            Return TableUtils.PhoneExtColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.MobilePhone field.
	''' </summary>
	Public Property MobilePhone() As String
		Get 
			Return CType(Me.GetValue(TableUtils.MobilePhoneColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.MobilePhoneColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property MobilePhoneSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.MobilePhoneColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property MobilePhoneDefault() As String
        Get
            Return TableUtils.MobilePhoneColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.picture field.
	''' </summary>
	Public Property picture() As Byte()
		Get 
			Return CType(Me.GetValue(TableUtils.pictureColumn).ToBinary(), Byte())
		End Get
		Set (ByVal val As Byte ()) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.pictureColumn)
		End Set
	End Property



	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property pictureSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.pictureColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property pictureDefault() As String
        Get
            Return TableUtils.pictureColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.PictureName field.
	''' </summary>
	Public Property PictureName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PictureNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PictureNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PictureNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PictureNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PictureNameDefault() As String
        Get
            Return TableUtils.PictureNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.DateRank field.
	''' </summary>
	Public Property DateRank() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.DateRankColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.DateRankColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property DateRankSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.DateRankColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property DateRankDefault() As String
        Get
            Return TableUtils.DateRankColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalId_.DatePrevRank field.
	''' </summary>
	Public Property DatePrevRank() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.DatePrevRankColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.DatePrevRankColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property DatePrevRankSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.DatePrevRankColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property DatePrevRankDefault() As String
        Get
            Return TableUtils.DatePrevRankColumn.DefaultValue
        End Get
    End Property



#End Region

End Class
End Namespace
